ftools - ConvexHull not working

2013-02-17 01:59 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Ubuntu Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16223

Description

Convex Hull is not working with the latest master version. Nothing happens when I click on the ok button. Traceback below.

Debug: src/core/qgsmessagelog.cpp: 45: (logMessage) 2013-02-17T15:19:40 Python error

1

 An error has occured while executing Python

code:

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doGeoprocessing.py", line 301, in run

    geos, feature, match, error = self.convex_hull( useField )

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doGeoprocessing.py", line 467, in convex_hull

    writer = QgsVectorFileWriter( self.myName, self.myEncoding, vprovider.fields(),

NameError: global name 'vprovider' is not defined

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

Associated revisions

Revision ddaded8e - 2013-02-17 11:10 AM - Jürgen Fischer

fix #7171

History

#1 - 2013-02-17 02:11 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"ddaded8ebb602b2a2ca3c068974c71ef40b99545".

#2 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

2024-04-20 1/1

#fn1

